summaryrefslogtreecommitdiff
path: root/dev-ruby/optimist
diff options
context:
space:
mode:
authorPalica <palica+gitlab@liguros.net>2020-06-23 22:35:08 +0200
committerPalica <palica+gitlab@liguros.net>2020-06-23 22:35:08 +0200
commitecdac123787b96ce6649f0f91da12ea6458cc2b1 (patch)
treeb89c74d9e6fe6e8aebc4c77bcbeb4ab73214127d /dev-ruby/optimist
parent1be72aa41cf41dedadeecf59dca9f01de6381f5e (diff)
downloadbaldeagleos-repo-ecdac123787b96ce6649f0f91da12ea6458cc2b1.tar.gz
baldeagleos-repo-ecdac123787b96ce6649f0f91da12ea6458cc2b1.tar.xz
baldeagleos-repo-ecdac123787b96ce6649f0f91da12ea6458cc2b1.zip
Updating liguros repo
Diffstat (limited to 'dev-ruby/optimist')
-rw-r--r--dev-ruby/optimist/Manifest2
-rw-r--r--dev-ruby/optimist/metadata.xml16
-rw-r--r--dev-ruby/optimist/optimist-3.0.0.ebuild29
-rw-r--r--dev-ruby/optimist/optimist-3.0.1.ebuild28
4 files changed, 75 insertions, 0 deletions
diff --git a/dev-ruby/optimist/Manifest b/dev-ruby/optimist/Manifest
new file mode 100644
index 000000000000..66a9165897a0
--- /dev/null
+++ b/dev-ruby/optimist/Manifest
@@ -0,0 +1,2 @@
+DIST optimist-3.0.0.gem 29696 BLAKE2B d078a21fc95d64827e3f9a4539339ba3e3ba9f9649cb70d4e5a830f2523b02c4bb6aa1dca159a913d852aa2a320002beb6276d920ae1804bf65c9cf1535fc341 SHA512 1fcdc4dd01fb26d5b1d181913ad28314df05e60277bcf73b98e04a7463430a6c73396fb729e3cf34bc89e2eb8387d4d3294e93fcd530129a7bcd7efdcef5223f
+DIST optimist-3.0.1.gem 30208 BLAKE2B 66778029b9e2ac2eb38beaab5cb73a4fe58b123c401fdfc00d924073a6dd97dca05bbf8ab3a88e47ca5f94ed920a583196d901c6a2a4962e93c8a2ef905173ba SHA512 209fbb355a7ba75208cef314ccaa188955463551d1c914f10409cac189375b5be40fbcdf0d88a5ce825c527bca7138528fafd6f37cf73f5e68f3b453f3ef8485
diff --git a/dev-ruby/optimist/metadata.xml b/dev-ruby/optimist/metadata.xml
new file mode 100644
index 000000000000..b483bba27032
--- /dev/null
+++ b/dev-ruby/optimist/metadata.xml
@@ -0,0 +1,16 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer type="project">
+ <email>ruby@gentoo.org</email>
+ <name>Gentoo Ruby Project</name>
+ </maintainer>
+ <longdescription>
+ Optimist is a commandline option parser for Ruby that just gets
+ out of your way. One line of code per option is all you need to
+ write. For that, you get a nice automatically-generated help page,
+ robust option parsing, command subcompletion, and sensible
+ defaults for everything you don't specify.
+ </longdescription>
+ <origin>gentoo-staging</origin>
+</pkgmetadata>
diff --git a/dev-ruby/optimist/optimist-3.0.0.ebuild b/dev-ruby/optimist/optimist-3.0.0.ebuild
new file mode 100644
index 000000000000..ee9ce245c62d
--- /dev/null
+++ b/dev-ruby/optimist/optimist-3.0.0.ebuild
@@ -0,0 +1,29 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+USE_RUBY="ruby23 ruby24 ruby25 ruby26"
+
+RUBY_FAKEGEM_RECIPE_DOC="rdoc"
+RUBY_FAKEGEM_EXTRADOC="FAQ.txt History.txt README.md"
+
+inherit ruby-fakegem
+
+DESCRIPTION="A commandline option parser for Ruby that just gets out of your way."
+HOMEPAGE="https://manageiq.github.io/optimist/"
+LICENSE="MIT"
+
+KEYWORDS="~amd64 ~hppa ~ppc ~ppc64 ~sparc ~x86 ~ppc-macos ~x64-macos ~x86-macos ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
+SLOT="3"
+IUSE=""
+
+ruby_add_bdepend "test? ( dev-ruby/chronic )"
+
+all_ruby_prepare() {
+ sed -i -e '/bundle/ s:^:#:' Rakefile || die
+}
+
+each_ruby_test() {
+ MUTANT=true ${RUBY} -S rake test || die "Tests failed."
+}
diff --git a/dev-ruby/optimist/optimist-3.0.1.ebuild b/dev-ruby/optimist/optimist-3.0.1.ebuild
new file mode 100644
index 000000000000..c4bc22804cd4
--- /dev/null
+++ b/dev-ruby/optimist/optimist-3.0.1.ebuild
@@ -0,0 +1,28 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+USE_RUBY="ruby24 ruby25 ruby26 ruby27"
+
+RUBY_FAKEGEM_EXTRADOC="FAQ.txt History.txt README.md"
+
+inherit ruby-fakegem
+
+DESCRIPTION="A commandline option parser for Ruby that just gets out of your way."
+HOMEPAGE="https://manageiq.github.io/optimist/"
+LICENSE="MIT"
+
+KEYWORDS="~amd64 ~hppa ~ppc ~ppc64 ~sparc ~x86 ~ppc-macos ~x64-macos ~x86-macos ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
+SLOT="3"
+IUSE=""
+
+ruby_add_bdepend "test? ( dev-ruby/chronic )"
+
+all_ruby_prepare() {
+ sed -i -e '/bundle/ s:^:#:' Rakefile || die
+}
+
+each_ruby_test() {
+ MUTANT=true ${RUBY} -S rake test || die "Tests failed."
+}